All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.util
Interface SmartTypes

    public interface SmartTypes

Field Summary
`static java.lang.String` | `PREFIX_EMBEDDED`
`static java.lang.String` | `SUBTYPE_SEPARATOR`
`static java.lang.String` | `TYPE_ABSTRACTPROPERTY`
`static java.lang.String` | `TYPE_ACCESSCONTROLENTRY`
`static java.lang.String` | `TYPE_ACT`
`static java.lang.String` | `TYPE_ACTION`
`static java.lang.String` | `TYPE_ANALYTICTABLE`
`static java.lang.String` | `TYPE_APPLICATION`
`static java.lang.String` | `TYPE_APPLICATIONSERVER`
`static java.lang.String` | `TYPE_ASSOCIATIONPROPERTY`
`static java.lang.String` | `TYPE_ATTRIBUTEPROPERTY`
`static java.lang.String` | `TYPE_AUTHENTICATIONDOMAIN`
`static java.lang.String` | `TYPE_BOOKMARK`
`static java.lang.String` | `TYPE_BURSTDEFINITION`
`static java.lang.String` | `TYPE_CALCULATEDMEASURE`
`static java.lang.String` | `TYPE_CHANNEL`
`static java.lang.String` | `TYPE_CLASSIFIER`
`static java.lang.String` | `TYPE_COLUMN`
`static java.lang.String` | `TYPE_COLUMN_HIERARCHY`
`static java.lang.String` | `TYPE_COMCONNECTION`
`static java.lang.String` | `TYPE_CONDITION`
`static java.lang.String` | `TYPE_CONDITIONACTIONSET`
`static java.lang.String` | `TYPE_CONFIGURATIONTEXTSTORE`
`static java.lang.String` | `TYPE_CONNECTION`
`static java.lang.String` | `TYPE_CONNECTSERVER`
`static java.lang.String` | `TYPE_CONTENT`
`static java.lang.String` | `TYPE_CONTENTSUBSCRIBER`
`static java.lang.String` | `TYPE_CUBE`
`static java.lang.String` | `TYPE_DATABASECATALOG`
`static java.lang.String` | `TYPE_DATABASESCHEMA`
`static java.lang.String` | `TYPE_DATAEXPLORATION`
`static java.lang.String` | `TYPE_DATATABLE`
`static java.lang.String` | `TYPE_DEPLOYEDDATAPACKAGE`
`static java.lang.String` | `TYPE_DEPLOYEDFLOW`
`static java.lang.String` | `TYPE_DEPLOYEDJOB`
`static java.lang.String` | `TYPE_DIMENSION`
`static java.lang.String` | `TYPE_DIRECTIVE_DL`
`static java.lang.String` | `TYPE_DIRECTORY`
`static java.lang.String` | `TYPE_DOCUMENT`
`static java.lang.String` | `TYPE_ESRIMAPSERVER` Deprecated. Use SmartTypes.TYPE_SERVER_ESRIMAP.
`static java.lang.String` | `TYPE_EVENT`
`static java.lang.String` | `TYPE_EVENTSUBSCRIBER`
`static java.lang.String` | `TYPE_EXTENSION`
`static java.lang.String` | `TYPE_EXTERNALTABLE`
`static java.lang.String` | `TYPE_FAVORITESFOLDER`
`static java.lang.String` | `TYPE_FAVORITESGROUP`
`static java.lang.String` | `TYPE_FILE`
`static java.lang.String` | `TYPE_FOLDER`
`static java.lang.String` | `TYPE_FOLDER_SECUREDDATA`
`static java.lang.String` | `TYPE_FOLDER_VIRTUAL`
`static java.lang.String` | `TYPE_FTPSERVER` Deprecated. Use SmartTypes.TYPE_SERVER_FTP.
`static java.lang.String` | `TYPE_GENERATEDTRANSFORMATION`
`static java.lang.String` | `TYPE_GROUP`
`static java.lang.String` | `TYPE_HIERARCHY`
`static java.lang.String` | `TYPE_HTTPSERVER` Deprecated. Use SmartTypes.TYPE_SERVER_HTTP.
`static java.lang.String` | `TYPE_IDENTITYGROUP`
`static java.lang.String` | `TYPE_INDEX`
`static java.lang.String` | `TYPE_INFORMATIONMAP`
`static java.lang.String` | `TYPE_INFORMATIONMAP_OLAP`
`static java.lang.String` | `TYPE_INFORMATIONMAP_RELATIONAL`
`static java.lang.String` | `TYPE_ITEM`
`static java.lang.String` | `TYPE_JMSDESTINATION`
`static java.lang.String` | `TYPE_JOB`
`static java.lang.String` | `TYPE_JOB_CUBEBUILD`
`static java.lang.String` | `TYPE_LEVEL`
`static java.lang.String` | `TYPE_LIBRARY`
`static java.lang.String` | `TYPE_LIBRARY_BASE`
`static java.lang.String` | `TYPE_LIBRARY_DBMS`
`static java.lang.String` | `TYPE_LIBRARY_SHARE`
`static java.lang.String` | `TYPE_LIBRARY_SPDE`
`static java.lang.String` | `TYPE_LIBRARY_SPDS`
`static java.lang.String` | `TYPE_LIBRARY_XML`
`static java.lang.String` | `TYPE_LINK`
`static java.lang.String` | `TYPE_LOGICAL_BATCHSERVER`
`static java.lang.String` | `TYPE_LOGICALBATCHSERVER`
`static java.lang.String` | `TYPE_LOGICALGRIDSERVER`
`static java.lang.String` | `TYPE_LOGICALSERVER`
`static java.lang.String` | `TYPE_LOGICALSERVER_ABM`
`static java.lang.String` | `TYPE_LOGICALSERVER_FEDERATION`
`static java.lang.String` | `TYPE_LOGICALSERVER_FRAMEWORK`
`static java.lang.String` | `TYPE_LOGICALSERVER_META`
`static java.lang.String` | `TYPE_LOGICALSERVER_OLAP`
`static java.lang.String` | `TYPE_LOGICALSERVER_POOLEDWORKSPACE`
`static java.lang.String` | `TYPE_LOGICALSERVER_PROCESSORCHESTRATION`
`static java.lang.String` | `TYPE_LOGICALSERVER_STOREDPROCESS`
`static java.lang.String` | `TYPE_LOGICALSERVER_WORKSPACE`
`static java.lang.String` | `TYPE_LOGICALSERVERCONNECT`
`static java.lang.String` | `TYPE_LOGICALSERVERJAVA`
`static java.lang.String` | `TYPE_LOGICALSERVEROS`
`static java.lang.String` | `TYPE_LOGICALSERVERTABLE`
`static java.lang.String` | `TYPE_LOGIN`
`static java.lang.String` | `TYPE_MAP`
`static java.lang.String` | `TYPE_MEASURE`
`static java.lang.String` | `TYPE_MESSAGEQUEUE`
`static java.lang.String` | `TYPE_MININGRESULTS`
`static java.lang.String` | `TYPE_MQM_JMS`
`static java.lang.String` | `TYPE_MQM_MSMQ`
`static java.lang.String` | `TYPE_MQM_WEBSPHERE`
`static java.lang.String` | `TYPE_NOTE`
`static java.lang.String` | `TYPE_OLAPSCHEMA`
`static java.lang.String` | `TYPE_PACKAGE`
`static java.lang.String` | `TYPE_PACKAGEEVENT`
`static java.lang.String` | `TYPE_PERSON`
`static java.lang.String` | `TYPE_PERSONALREPOSITORY`
`static java.lang.String` | `TYPE_PHYSICALTABLE`
`static java.lang.String` | `TYPE_PORTALPAGE`
`static java.lang.String` | `TYPE_PROFILE_REPORT_DL`
`static java.lang.String` | `TYPE_PROJECT_AMOEXCEL`
`static java.lang.String` | `TYPE_PROJECT_AMOPOWERPOINT`
`static java.lang.String` | `TYPE_PROJECT_AMOWORD`
`static java.lang.String` | `TYPE_PROJECT_EG`
`static java.lang.String` | `TYPE_PROMPT`
`static java.lang.String` | `TYPE_PROMPTDEFINITION` Deprecated. Use TYPE_PROMPT for the prompt type string.
`static java.lang.String` | `TYPE_PROMPTGROUP`
`static java.lang.String` | `TYPE_PROPERTY`
`static java.lang.String` | `TYPE_PROPERTYGROUP`
`static java.lang.String` | `TYPE_PROPERTYSET`
`static java.lang.String` | `TYPE_PROTOTYPE`
`static java.lang.String` | `TYPE_PROTOTYPEPROPERTY`
`static java.lang.String` | `TYPE_PROXY`
`static java.lang.String` | `TYPE_PROXYLIST`
`static java.lang.String` | `TYPE_QUERYCLAUSE`
`static java.lang.String` | `TYPE_RELATIONALSCHEMA`
`static java.lang.String` | `TYPE_RELATIONALTABLE`
`static java.lang.String` | `TYPE_REMARKS`
`static java.lang.String` | `TYPE_REPORT`
`static java.lang.String` | `TYPE_REPORT_COMPONENT`
`static java.lang.String` | `TYPE_REPORT_IMAGE`
`static java.lang.String` | `TYPE_REPORT_STOREDPROCESS`
`static java.lang.String` | `TYPE_ROLE`
`static java.lang.String` | `TYPE_ROOTFOLDER`
`static java.lang.String` | `TYPE_SASCLIENTCONNECTION`
`static java.lang.String` | `TYPE_SASLIBRARY`
`static java.lang.String` | `TYPE_SEARCHFOLDER`
`static java.lang.String` | `TYPE_SECUREDLIBRARY`
`static java.lang.String` | `TYPE_SECUREDTABLE`
`static java.lang.String` | `TYPE_SERVER`
`static java.lang.String` | `TYPE_SERVER_ABM`
`static java.lang.String` | `TYPE_SERVER_ASTER`
`static java.lang.String` | `TYPE_SERVER_BATCH`
`static java.lang.String` | `TYPE_SERVER_BIGQUERY`
`static java.lang.String` | `TYPE_SERVER_CAS`
`static java.lang.String` | `TYPE_SERVER_DATASTEPBATCH`
`static java.lang.String` | `TYPE_SERVER_DB2UNIX`
`static java.lang.String` | `TYPE_SERVER_DB2ZOS`
`static java.lang.String` | `TYPE_SERVER_ESRIMAP`
`static java.lang.String` | `TYPE_SERVER_FEDERATION`
`static java.lang.String` | `TYPE_SERVER_FRAMEWORK`
`static java.lang.String` | `TYPE_SERVER_FTP`
`static java.lang.String` | `TYPE_SERVER_GREENPLUM`
`static java.lang.String` | `TYPE_SERVER_GRID`
`static java.lang.String` | `TYPE_SERVER_GRIDMONITOR`
`static java.lang.String` | `TYPE_SERVER_HADOOP`
`static java.lang.String` | `TYPE_SERVER_HANA`
`static java.lang.String` | `TYPE_SERVER_HAWQ`
`static java.lang.String` | `TYPE_SERVER_HTTP`
`static java.lang.String` | `TYPE_SERVER_IMPALA`
`static java.lang.String` | `TYPE_SERVER_INFORMIX`
`static java.lang.String` | `TYPE_SERVER_JAVABATCH`
`static java.lang.String` | `TYPE_SERVER_JDBC`
`static java.lang.String` | `TYPE_SERVER_LASR`
`static java.lang.String` | `TYPE_SERVER_LAUNCHER`
`static java.lang.String` | `TYPE_SERVER_META`
`static java.lang.String` | `TYPE_SERVER_MONGO`
`static java.lang.String` | `TYPE_SERVER_MQPOLLING`
`static java.lang.String` | `TYPE_SERVER_MSEXCEL`
`static java.lang.String` | `TYPE_SERVER_MSSQL`
`static java.lang.String` | `TYPE_SERVER_MSSQLUNIX`
`static java.lang.String` | `TYPE_SERVER_NEOVIEW`
`static java.lang.String` | `TYPE_SERVER_NETEZZA`
`static java.lang.String` | `TYPE_SERVER_ODBC`
`static java.lang.String` | `TYPE_SERVER_OLAP`
`static java.lang.String` | `TYPE_SERVER_OLEDB`
`static java.lang.String` | `TYPE_SERVER_OOZIE`
`static java.lang.String` | `TYPE_SERVER_OPERATINGSYSTEM`
`static java.lang.String` | `TYPE_SERVER_ORACLE`
`static java.lang.String` | `TYPE_SERVER_PI_ASSET_FRAMEWORK`
`static java.lang.String` | `TYPE_SERVER_PISYSTEM`
`static java.lang.String` | `TYPE_SERVER_PLATFORMPROCESSMANAGER`
`static java.lang.String` | `TYPE_SERVER_POOLEDWORKSPACE`
`static java.lang.String` | `TYPE_SERVER_POSTGRES`
`static java.lang.String` | `TYPE_SERVER_PROCESSORCHESTRATION`
`static java.lang.String` | `TYPE_SERVER_REDSHIFT`
`static java.lang.String` | `TYPE_SERVER_SALESFORCE`
`static java.lang.String` | `TYPE_SERVER_SAP`
`static java.lang.String` | `TYPE_SERVER_SASDISTRIBUTEDINPROCESS`
`static java.lang.String` | `TYPE_SERVER_SASINFRASTRUCTUREDATA`
`static java.lang.String` | `TYPE_SERVER_SASINPROCESS`
`static java.lang.String` | `TYPE_SERVER_SASJOBFLOWSCHEDULER`
`static java.lang.String` | `TYPE_SERVER_SHARE`
`static java.lang.String` | `TYPE_SERVER_SNOWFLAKE`
`static java.lang.String` | `TYPE_SERVER_SPARK`
`static java.lang.String` | `TYPE_SERVER_SPDS`
`static java.lang.String` | `TYPE_SERVER_STOREDPROCESS`
`static java.lang.String` | `TYPE_SERVER_SYBASE`
`static java.lang.String` | `TYPE_SERVER_SYBASEIQ`
`static java.lang.String` | `TYPE_SERVER_TERADATA`
`static java.lang.String` | `TYPE_SERVER_VERTICA`
`static java.lang.String` | `TYPE_SERVER_WORKSPACE`
`static java.lang.String` | `TYPE_SERVER_YELLOWBRICK`
`static java.lang.String` | `TYPE_SERVERCOMPONENT`
`static java.lang.String` | `TYPE_SERVERCONTEXT`
`static java.lang.String` | `TYPE_SERVICE_SOAPGENERATED`
`static java.lang.String` | `TYPE_SERVICETYPE`
`static java.lang.String` | `TYPE_SHAREDDIMENSION`
`static java.lang.String` | `TYPE_SOFTWARECOMPONENT`
`static java.lang.String` | `TYPE_SPAWNER_CONNECT`
`static java.lang.String` | `TYPE_SPAWNER_IOM`
`static java.lang.String` | `TYPE_STOREDPROCESS`
`static java.lang.String` | `TYPE_STOREDPROCESSALERT`
`static java.lang.String` | `TYPE_Subscriber` Deprecated.
`static java.lang.String` | `TYPE_SUBSCRIBER`
`static java.lang.String` | `TYPE_SUBSCRIBERGROUP_CONTENT`
`static java.lang.String` | `TYPE_SUBSCRIBERGROUP_EVENT`
`static java.lang.String` | `TYPE_SYNDCHANNEL`
`static java.lang.String` | `TYPE_TABLE`
`static java.lang.String` | `TYPE_TABLESERVER`
`static java.lang.String` | `TYPE_TCPIPCONNECTION`
`static java.lang.String` | `TYPE_TEMPLATEPORTALPAGE`
`static java.lang.String` | `TYPE_TEXTSTORE`
`static java.lang.String` | `TYPE_TYPEDEFINITION`
`static java.lang.String` | `TYPE_WARRANTYANALYSISDASHBOARD`
`static java.lang.String` | `TYPE_WARRANTYANALYSISTHICKCLIENT`
`static java.lang.String` | `TYPE_WARRANTYANALYTICREPORT`
`static java.lang.String` | `TYPE_WARRANTYDATASELECTION`
`static java.lang.String` | `TYPE_WARRANTYPROJECT`
`static java.lang.String` | `TYPE_WEBAPPLICATION`

Field Detail

### TYPE_ABSTRACTPROPERTY

    static final java.lang.String TYPE_ABSTRACTPROPERTY

See Also:
  Constant Field Values

### TYPE_ACCESSCONTROLENTRY

    static final java.lang.String TYPE_ACCESSCONTROLENTRY

See Also:
  Constant Field Values

### TYPE_ANALYTICTABLE

    static final java.lang.String TYPE_ANALYTICTABLE

See Also:
  Constant Field Values

### TYPE_ASSOCIATIONPROPERTY

    static final java.lang.String TYPE_ASSOCIATIONPROPERTY

See Also:
  Constant Field Values

### TYPE_ATTRIBUTEPROPERTY

    static final java.lang.String TYPE_ATTRIBUTEPROPERTY

See Also:
  Constant Field Values

### TYPE_CLASSIFIER

    static final java.lang.String TYPE_CLASSIFIER

See Also:
  Constant Field Values

### TYPE_COMCONNECTION

    static final java.lang.String TYPE_COMCONNECTION

See Also:
  Constant Field Values

### TYPE_CONFIGURATIONTEXTSTORE

    static final java.lang.String TYPE_CONFIGURATIONTEXTSTORE

See Also:
  Constant Field Values

### TYPE_CONNECTION

    static final java.lang.String TYPE_CONNECTION

See Also:
  Constant Field Values

### TYPE_CONNECTSERVER

    static final java.lang.String TYPE_CONNECTSERVER

See Also:
  Constant Field Values

### TYPE_CONTENT

    static final java.lang.String TYPE_CONTENT

See Also:
  Constant Field Values

### TYPE_DATABASECATALOG

    static final java.lang.String TYPE_DATABASECATALOG

See Also:
  Constant Field Values

### TYPE_DATABASESCHEMA

    static final java.lang.String TYPE_DATABASESCHEMA

See Also:
  Constant Field Values

### TYPE_DATATABLE

    static final java.lang.String TYPE_DATATABLE

See Also:
  Constant Field Values

### TYPE_DEPLOYEDDATAPACKAGE

    static final java.lang.String TYPE_DEPLOYEDDATAPACKAGE

See Also:
  Constant Field Values

### TYPE_DIRECTORY

    static final java.lang.String TYPE_DIRECTORY

See Also:
  Constant Field Values

### TYPE_EVENT

    static final java.lang.String TYPE_EVENT

See Also:
  Constant Field Values

### TYPE_EXTENSION

    static final java.lang.String TYPE_EXTENSION

See Also:
  Constant Field Values

### TYPE_FILE

    static final java.lang.String TYPE_FILE

See Also:
  Constant Field Values

### TYPE_GROUP

    static final java.lang.String TYPE_GROUP

See Also:
  Constant Field Values

### TYPE_ITEM

    static final java.lang.String TYPE_ITEM

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER

    static final java.lang.String TYPE_LOGICALSERVER

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_OLAP

    static final java.lang.String TYPE_LOGICALSERVER_OLAP

See Also:
  Constant Field Values

### TYPE_LOGICALSERVERCONNECT

    static final java.lang.String TYPE_LOGICALSERVERCONNECT

See Also:
  Constant Field Values

### TYPE_LOGIN

    static final java.lang.String TYPE_LOGIN

See Also:
  Constant Field Values

### TYPE_MAP

    static final java.lang.String TYPE_MAP

See Also:
  Constant Field Values

### TYPE_PACKAGE

    static final java.lang.String TYPE_PACKAGE

See Also:
  Constant Field Values

### TYPE_PACKAGEEVENT

    static final java.lang.String TYPE_PACKAGEEVENT

See Also:
  Constant Field Values

### TYPE_PERSONALREPOSITORY

    static final java.lang.String TYPE_PERSONALREPOSITORY

See Also:
  Constant Field Values

### TYPE_PHYSICALTABLE

    static final java.lang.String TYPE_PHYSICALTABLE

See Also:
  Constant Field Values

### TYPE_PORTALPAGE

    static final java.lang.String TYPE_PORTALPAGE

See Also:
  Constant Field Values

### TYPE_TEMPLATEPORTALPAGE

    static final java.lang.String TYPE_TEMPLATEPORTALPAGE

See Also:
  Constant Field Values

### TYPE_LINK

    static final java.lang.String TYPE_LINK

See Also:
  Constant Field Values

### TYPE_WEBAPPLICATION

    static final java.lang.String TYPE_WEBAPPLICATION

See Also:
  Constant Field Values

### TYPE_SYNDCHANNEL

    static final java.lang.String TYPE_SYNDCHANNEL

See Also:
  Constant Field Values

### TYPE_TABLESERVER

    static final java.lang.String TYPE_TABLESERVER

See Also:
  Constant Field Values

### TYPE_LOGICALSERVERTABLE

    static final java.lang.String TYPE_LOGICALSERVERTABLE

See Also:
  Constant Field Values

### TYPE_LOGICALSERVEROS

    static final java.lang.String TYPE_LOGICALSERVEROS

See Also:
  Constant Field Values

### TYPE_LOGICALSERVERJAVA

    static final java.lang.String TYPE_LOGICALSERVERJAVA

See Also:
  Constant Field Values

### TYPE_LOGICALBATCHSERVER

    static final java.lang.String TYPE_LOGICALBATCHSERVER

See Also:
  Constant Field Values

### TYPE_LOGICAL_BATCHSERVER

    static final java.lang.String TYPE_LOGICAL_BATCHSERVER

See Also:
  Constant Field Values

### TYPE_SERVER_BATCH

    static final java.lang.String TYPE_SERVER_BATCH

See Also:
  Constant Field Values

### TYPE_LOGICALGRIDSERVER

    static final java.lang.String TYPE_LOGICALGRIDSERVER

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_FEDERATION

    static final java.lang.String TYPE_LOGICALSERVER_FEDERATION

See Also:
  Constant Field Values

### TYPE_SERVER_FEDERATION

    static final java.lang.String TYPE_SERVER_FEDERATION

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_FRAMEWORK

    static final java.lang.String TYPE_LOGICALSERVER_FRAMEWORK

See Also:
  Constant Field Values

### TYPE_SERVER_FRAMEWORK

    static final java.lang.String TYPE_SERVER_FRAMEWORK

See Also:
  Constant Field Values

### TYPE_COLUMN_HIERARCHY

    static final java.lang.String TYPE_COLUMN_HIERARCHY

See Also:
  Constant Field Values

### TYPE_PROMPTDEFINITION

    static final java.lang.String TYPE_PROMPTDEFINITION

  Deprecated. Use TYPE_PROMPT for the prompt type string.
  See Also:
    Constant Field Values

### TYPE_PROPERTY

    static final java.lang.String TYPE_PROPERTY

See Also:
  Constant Field Values

### TYPE_PROPERTYGROUP

    static final java.lang.String TYPE_PROPERTYGROUP

See Also:
  Constant Field Values

### TYPE_PROPERTYSET

    static final java.lang.String TYPE_PROPERTYSET

See Also:
  Constant Field Values

### TYPE_PROTOTYPE

    static final java.lang.String TYPE_PROTOTYPE

See Also:
  Constant Field Values

### TYPE_PROTOTYPEPROPERTY

    static final java.lang.String TYPE_PROTOTYPEPROPERTY

See Also:
  Constant Field Values

### TYPE_QUERYCLAUSE

    static final java.lang.String TYPE_QUERYCLAUSE

See Also:
  Constant Field Values

### TYPE_RELATIONALSCHEMA

    static final java.lang.String TYPE_RELATIONALSCHEMA

See Also:
  Constant Field Values

### TYPE_RELATIONALTABLE

    static final java.lang.String TYPE_RELATIONALTABLE

See Also:
  Constant Field Values

### TYPE_REMARKS

    static final java.lang.String TYPE_REMARKS

See Also:
  Constant Field Values

### TYPE_SASCLIENTCONNECTION

    static final java.lang.String TYPE_SASCLIENTCONNECTION

See Also:
  Constant Field Values

### TYPE_SASLIBRARY

    static final java.lang.String TYPE_SASLIBRARY

See Also:
  Constant Field Values

### TYPE_SERVER

    static final java.lang.String TYPE_SERVER

See Also:
  Constant Field Values

### TYPE_SERVER_META

    static final java.lang.String TYPE_SERVER_META

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_META

    static final java.lang.String TYPE_LOGICALSERVER_META

See Also:
  Constant Field Values

### TYPE_SERVER_OLAP

    static final java.lang.String TYPE_SERVER_OLAP

See Also:
  Constant Field Values

### TYPE_SERVERCOMPONENT

    static final java.lang.String TYPE_SERVERCOMPONENT

See Also:
  Constant Field Values

### TYPE_SERVERCONTEXT

    static final java.lang.String TYPE_SERVERCONTEXT

See Also:
  Constant Field Values

### TYPE_SERVICETYPE

    static final java.lang.String TYPE_SERVICETYPE

See Also:
  Constant Field Values

### TYPE_SOFTWARECOMPONENT

    static final java.lang.String TYPE_SOFTWARECOMPONENT

See Also:
  Constant Field Values

### TYPE_STOREDPROCESSALERT

    static final java.lang.String TYPE_STOREDPROCESSALERT

See Also:
  Constant Field Values

### TYPE_SUBSCRIBER

    static final java.lang.String TYPE_SUBSCRIBER

See Also:
  Constant Field Values

### TYPE_Subscriber

    @Deprecated
    static final java.lang.String TYPE_Subscriber

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_TCPIPCONNECTION

    static final java.lang.String TYPE_TCPIPCONNECTION

See Also:
  Constant Field Values

### TYPE_TEXTSTORE

    static final java.lang.String TYPE_TEXTSTORE

See Also:
  Constant Field Values

### TYPE_WARRANTYANALYSISDASHBOARD

    static final java.lang.String TYPE_WARRANTYANALYSISDASHBOARD

See Also:
  Constant Field Values

### TYPE_WARRANTYANALYSISTHICKCLIENT

    static final java.lang.String TYPE_WARRANTYANALYSISTHICKCLIENT

See Also:
  Constant Field Values

### TYPE_WARRANTYANALYTICREPORT

    static final java.lang.String TYPE_WARRANTYANALYTICREPORT

See Also:
  Constant Field Values

### TYPE_WARRANTYDATASELECTION

    static final java.lang.String TYPE_WARRANTYDATASELECTION

See Also:
  Constant Field Values

### TYPE_WARRANTYPROJECT

    static final java.lang.String TYPE_WARRANTYPROJECT

See Also:
  Constant Field Values

### TYPE_ACT

    static final java.lang.String TYPE_ACT

See Also:
  Constant Field Values

### TYPE_ACTION

    static final java.lang.String TYPE_ACTION

See Also:
  Constant Field Values

### TYPE_APPLICATION

    static final java.lang.String TYPE_APPLICATION

See Also:
  Constant Field Values

### TYPE_APPLICATIONSERVER

    static final java.lang.String TYPE_APPLICATIONSERVER

See Also:
  Constant Field Values

### TYPE_AUTHENTICATIONDOMAIN

    static final java.lang.String TYPE_AUTHENTICATIONDOMAIN

See Also:
  Constant Field Values

### TYPE_BOOKMARK

    static final java.lang.String TYPE_BOOKMARK

See Also:
  Constant Field Values

### TYPE_FAVORITESFOLDER

    static final java.lang.String TYPE_FAVORITESFOLDER

See Also:
  Constant Field Values

### TYPE_FAVORITESGROUP

    static final java.lang.String TYPE_FAVORITESGROUP

See Also:
  Constant Field Values

### TYPE_BURSTDEFINITION

    static final java.lang.String TYPE_BURSTDEFINITION

See Also:
  Constant Field Values

### TYPE_CALCULATEDMEASURE

    static final java.lang.String TYPE_CALCULATEDMEASURE

See Also:
  Constant Field Values

### TYPE_CHANNEL

    static final java.lang.String TYPE_CHANNEL

See Also:
  Constant Field Values

### TYPE_COLUMN

    static final java.lang.String TYPE_COLUMN

See Also:
  Constant Field Values

### TYPE_CONDITION

    static final java.lang.String TYPE_CONDITION

See Also:
  Constant Field Values

### TYPE_CONDITIONACTIONSET

    static final java.lang.String TYPE_CONDITIONACTIONSET

See Also:
  Constant Field Values

### TYPE_CONTENTSUBSCRIBER

    static final java.lang.String TYPE_CONTENTSUBSCRIBER

See Also:
  Constant Field Values

### TYPE_CUBE

    static final java.lang.String TYPE_CUBE

See Also:
  Constant Field Values

### TYPE_DATAEXPLORATION

    static final java.lang.String TYPE_DATAEXPLORATION

See Also:
  Constant Field Values

### TYPE_DEPLOYEDFLOW

    static final java.lang.String TYPE_DEPLOYEDFLOW

See Also:
  Constant Field Values

### TYPE_DEPLOYEDJOB

    static final java.lang.String TYPE_DEPLOYEDJOB

See Also:
  Constant Field Values

### TYPE_DIMENSION

    static final java.lang.String TYPE_DIMENSION

See Also:
  Constant Field Values

### TYPE_DIRECTIVE_DL

    static final java.lang.String TYPE_DIRECTIVE_DL

See Also:
  Constant Field Values

### TYPE_DOCUMENT

    static final java.lang.String TYPE_DOCUMENT

See Also:
  Constant Field Values

### TYPE_EVENTSUBSCRIBER

    static final java.lang.String TYPE_EVENTSUBSCRIBER

See Also:
  Constant Field Values

### TYPE_EXTERNALTABLE

    static final java.lang.String TYPE_EXTERNALTABLE

See Also:
  Constant Field Values

### TYPE_FOLDER

    static final java.lang.String TYPE_FOLDER

See Also:
  Constant Field Values

### TYPE_FOLDER_SECUREDDATA

    static final java.lang.String TYPE_FOLDER_SECUREDDATA

See Also:
  Constant Field Values

### TYPE_FOLDER_VIRTUAL

    static final java.lang.String TYPE_FOLDER_VIRTUAL

See Also:
  Constant Field Values

### TYPE_GENERATEDTRANSFORMATION

    static final java.lang.String TYPE_GENERATEDTRANSFORMATION

See Also:
  Constant Field Values

### TYPE_HIERARCHY

    static final java.lang.String TYPE_HIERARCHY

See Also:
  Constant Field Values

### TYPE_INDEX

    static final java.lang.String TYPE_INDEX

See Also:
  Constant Field Values

### TYPE_INFORMATIONMAP

    static final java.lang.String TYPE_INFORMATIONMAP

See Also:
  Constant Field Values

### TYPE_INFORMATIONMAP_OLAP

    static final java.lang.String TYPE_INFORMATIONMAP_OLAP

See Also:
  Constant Field Values

### TYPE_INFORMATIONMAP_RELATIONAL

    static final java.lang.String TYPE_INFORMATIONMAP_RELATIONAL

See Also:
  Constant Field Values

### TYPE_JOB

    static final java.lang.String TYPE_JOB

See Also:
  Constant Field Values

### TYPE_JOB_CUBEBUILD

    static final java.lang.String TYPE_JOB_CUBEBUILD

See Also:
  Constant Field Values

### TYPE_LEVEL

    static final java.lang.String TYPE_LEVEL

See Also:
  Constant Field Values

### TYPE_LIBRARY

    static final java.lang.String TYPE_LIBRARY

See Also:
  Constant Field Values

### TYPE_LIBRARY_BASE

    static final java.lang.String TYPE_LIBRARY_BASE

See Also:
  Constant Field Values

### TYPE_LIBRARY_DBMS

    static final java.lang.String TYPE_LIBRARY_DBMS

See Also:
  Constant Field Values

### TYPE_LIBRARY_SHARE

    static final java.lang.String TYPE_LIBRARY_SHARE

See Also:
  Constant Field Values

### TYPE_LIBRARY_SPDE

    static final java.lang.String TYPE_LIBRARY_SPDE

See Also:
  Constant Field Values

### TYPE_LIBRARY_SPDS

    static final java.lang.String TYPE_LIBRARY_SPDS

See Also:
  Constant Field Values

### TYPE_LIBRARY_XML

    static final java.lang.String TYPE_LIBRARY_XML

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_POOLEDWORKSPACE

    static final java.lang.String TYPE_LOGICALSERVER_POOLEDWORKSPACE

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_STOREDPROCESS

    static final java.lang.String TYPE_LOGICALSERVER_STOREDPROCESS

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_WORKSPACE

    static final java.lang.String TYPE_LOGICALSERVER_WORKSPACE

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_PROCESSORCHESTRATION

    static final java.lang.String TYPE_LOGICALSERVER_PROCESSORCHESTRATION

See Also:
  Constant Field Values

### TYPE_LOGICALSERVER_ABM

    static final java.lang.String TYPE_LOGICALSERVER_ABM

See Also:
  Constant Field Values

### TYPE_MEASURE

    static final java.lang.String TYPE_MEASURE

See Also:
  Constant Field Values

### TYPE_MESSAGEQUEUE

    static final java.lang.String TYPE_MESSAGEQUEUE

See Also:
  Constant Field Values

### TYPE_JMSDESTINATION

    static final java.lang.String TYPE_JMSDESTINATION

See Also:
  Constant Field Values

### TYPE_MININGRESULTS

    static final java.lang.String TYPE_MININGRESULTS

See Also:
  Constant Field Values

### TYPE_MQM_MSMQ

    static final java.lang.String TYPE_MQM_MSMQ

See Also:
  Constant Field Values

### TYPE_MQM_WEBSPHERE

    static final java.lang.String TYPE_MQM_WEBSPHERE

See Also:
  Constant Field Values

### TYPE_MQM_JMS

    static final java.lang.String TYPE_MQM_JMS

See Also:
  Constant Field Values

### TYPE_NOTE

    static final java.lang.String TYPE_NOTE

See Also:
  Constant Field Values

### TYPE_OLAPSCHEMA

    static final java.lang.String TYPE_OLAPSCHEMA

See Also:
  Constant Field Values

### TYPE_PROFILE_REPORT_DL

    static final java.lang.String TYPE_PROFILE_REPORT_DL

See Also:
  Constant Field Values

### TYPE_PROJECT_AMOEXCEL

    static final java.lang.String TYPE_PROJECT_AMOEXCEL

See Also:
  Constant Field Values

### TYPE_PROJECT_AMOPOWERPOINT

    static final java.lang.String TYPE_PROJECT_AMOPOWERPOINT

See Also:
  Constant Field Values

### TYPE_PROJECT_AMOWORD

    static final java.lang.String TYPE_PROJECT_AMOWORD

See Also:
  Constant Field Values

### TYPE_PROJECT_EG

    static final java.lang.String TYPE_PROJECT_EG

See Also:
  Constant Field Values

### TYPE_PROMPT

    static final java.lang.String TYPE_PROMPT

See Also:
  Constant Field Values

### TYPE_PROMPTGROUP

    static final java.lang.String TYPE_PROMPTGROUP

See Also:
  Constant Field Values

### TYPE_REPORT

    static final java.lang.String TYPE_REPORT

See Also:
  Constant Field Values

### TYPE_REPORT_IMAGE

    static final java.lang.String TYPE_REPORT_IMAGE

See Also:
  Constant Field Values

### TYPE_REPORT_COMPONENT

    static final java.lang.String TYPE_REPORT_COMPONENT

See Also:
  Constant Field Values

### TYPE_REPORT_STOREDPROCESS

    static final java.lang.String TYPE_REPORT_STOREDPROCESS

See Also:
  Constant Field Values

### TYPE_ROLE

    static final java.lang.String TYPE_ROLE

See Also:
  Constant Field Values

### TYPE_ROOTFOLDER

    static final java.lang.String TYPE_ROOTFOLDER

See Also:
  Constant Field Values

### TYPE_SEARCHFOLDER

    static final java.lang.String TYPE_SEARCHFOLDER

See Also:
  Constant Field Values

### TYPE_SECUREDLIBRARY

    static final java.lang.String TYPE_SECUREDLIBRARY

See Also:
  Constant Field Values

### TYPE_SECUREDTABLE

    static final java.lang.String TYPE_SECUREDTABLE

See Also:
  Constant Field Values

### TYPE_SERVER_MQPOLLING

    static final java.lang.String TYPE_SERVER_MQPOLLING

See Also:
  Constant Field Values

### TYPE_SERVER_POOLEDWORKSPACE

    static final java.lang.String TYPE_SERVER_POOLEDWORKSPACE

See Also:
  Constant Field Values

### TYPE_SERVER_PROCESSORCHESTRATION

    static final java.lang.String TYPE_SERVER_PROCESSORCHESTRATION

See Also:
  Constant Field Values

### TYPE_SERVER_STOREDPROCESS

    static final java.lang.String TYPE_SERVER_STOREDPROCESS

See Also:
  Constant Field Values

### TYPE_SERVER_WORKSPACE

    static final java.lang.String TYPE_SERVER_WORKSPACE

See Also:
  Constant Field Values

### TYPE_SERVER_SHARE

    static final java.lang.String TYPE_SERVER_SHARE

See Also:
  Constant Field Values

### TYPE_SERVER_JAVABATCH

    static final java.lang.String TYPE_SERVER_JAVABATCH

See Also:
  Constant Field Values

### TYPE_SERVER_DATASTEPBATCH

    static final java.lang.String TYPE_SERVER_DATASTEPBATCH

See Also:
  Constant Field Values

### TYPE_SERVER_GRID

    static final java.lang.String TYPE_SERVER_GRID

See Also:
  Constant Field Values

### TYPE_SERVER_GRIDMONITOR

    static final java.lang.String TYPE_SERVER_GRIDMONITOR

See Also:
  Constant Field Values

### TYPE_SERVER_SPDS

    static final java.lang.String TYPE_SERVER_SPDS

See Also:
  Constant Field Values

### TYPE_SERVER_ABM

    static final java.lang.String TYPE_SERVER_ABM

See Also:
  Constant Field Values

### TYPE_SERVICE_SOAPGENERATED

    static final java.lang.String TYPE_SERVICE_SOAPGENERATED

See Also:
  Constant Field Values

### TYPE_SHAREDDIMENSION

    static final java.lang.String TYPE_SHAREDDIMENSION

See Also:
  Constant Field Values

### TYPE_SPAWNER_IOM

    static final java.lang.String TYPE_SPAWNER_IOM

See Also:
  Constant Field Values

### TYPE_SPAWNER_CONNECT

    static final java.lang.String TYPE_SPAWNER_CONNECT

See Also:
  Constant Field Values

### TYPE_STOREDPROCESS

    static final java.lang.String TYPE_STOREDPROCESS

See Also:
  Constant Field Values

### TYPE_SUBSCRIBERGROUP_CONTENT

    static final java.lang.String TYPE_SUBSCRIBERGROUP_CONTENT

See Also:
  Constant Field Values

### TYPE_SUBSCRIBERGROUP_EVENT

    static final java.lang.String TYPE_SUBSCRIBERGROUP_EVENT

See Also:
  Constant Field Values

### TYPE_TABLE

    static final java.lang.String TYPE_TABLE

See Also:
  Constant Field Values

### TYPE_PERSON

    static final java.lang.String TYPE_PERSON

See Also:
  Constant Field Values

### TYPE_IDENTITYGROUP

    static final java.lang.String TYPE_IDENTITYGROUP

See Also:
  Constant Field Values

### TYPE_SERVER_ASTER

    static final java.lang.String TYPE_SERVER_ASTER

See Also:
  Constant Field Values

### TYPE_SERVER_CAS

    static final java.lang.String TYPE_SERVER_CAS

See Also:
  Constant Field Values

### TYPE_SERVER_DB2UNIX

    static final java.lang.String TYPE_SERVER_DB2UNIX

See Also:
  Constant Field Values

### TYPE_SERVER_DB2ZOS

    static final java.lang.String TYPE_SERVER_DB2ZOS

See Also:
  Constant Field Values

### TYPE_SERVER_GREENPLUM

    static final java.lang.String TYPE_SERVER_GREENPLUM

See Also:
  Constant Field Values

### TYPE_SERVER_HANA

    static final java.lang.String TYPE_SERVER_HANA

See Also:
  Constant Field Values

### TYPE_SERVER_HAWQ

    static final java.lang.String TYPE_SERVER_HAWQ

See Also:
  Constant Field Values

### TYPE_SERVER_IMPALA

    static final java.lang.String TYPE_SERVER_IMPALA

See Also:
  Constant Field Values

### TYPE_SERVER_INFORMIX

    static final java.lang.String TYPE_SERVER_INFORMIX

See Also:
  Constant Field Values

### TYPE_SERVER_LASR

    static final java.lang.String TYPE_SERVER_LASR

See Also:
  Constant Field Values

### TYPE_SERVER_MSEXCEL

    static final java.lang.String TYPE_SERVER_MSEXCEL

See Also:
  Constant Field Values

### TYPE_SERVER_MSSQLUNIX

    static final java.lang.String TYPE_SERVER_MSSQLUNIX

See Also:
  Constant Field Values

### TYPE_SERVER_MSSQL

    static final java.lang.String TYPE_SERVER_MSSQL

See Also:
  Constant Field Values

### TYPE_SERVER_NEOVIEW

    static final java.lang.String TYPE_SERVER_NEOVIEW

See Also:
  Constant Field Values

### TYPE_SERVER_NETEZZA

    static final java.lang.String TYPE_SERVER_NETEZZA

See Also:
  Constant Field Values

### TYPE_SERVER_ODBC

    static final java.lang.String TYPE_SERVER_ODBC

See Also:
  Constant Field Values

### TYPE_SERVER_OLEDB

    static final java.lang.String TYPE_SERVER_OLEDB

See Also:
  Constant Field Values

### TYPE_SERVER_ORACLE

    static final java.lang.String TYPE_SERVER_ORACLE

See Also:
  Constant Field Values

### TYPE_SERVER_PISYSTEM

    static final java.lang.String TYPE_SERVER_PISYSTEM

See Also:
  Constant Field Values

### TYPE_SERVER_PI_ASSET_FRAMEWORK

    static final java.lang.String TYPE_SERVER_PI_ASSET_FRAMEWORK

See Also:
  Constant Field Values

### TYPE_SERVER_SYBASEIQ

    static final java.lang.String TYPE_SERVER_SYBASEIQ

See Also:
  Constant Field Values

### TYPE_SERVER_SYBASE

    static final java.lang.String TYPE_SERVER_SYBASE

See Also:
  Constant Field Values

### TYPE_SERVER_TERADATA

    static final java.lang.String TYPE_SERVER_TERADATA

See Also:
  Constant Field Values

### TYPE_SERVER_SASINFRASTRUCTUREDATA

    static final java.lang.String TYPE_SERVER_SASINFRASTRUCTUREDATA

See Also:
  Constant Field Values

### TYPE_SERVER_POSTGRES

    static final java.lang.String TYPE_SERVER_POSTGRES

See Also:
  Constant Field Values

### TYPE_SERVER_REDSHIFT

    static final java.lang.String TYPE_SERVER_REDSHIFT

See Also:
  Constant Field Values

### TYPE_SERVER_VERTICA

    static final java.lang.String TYPE_SERVER_VERTICA

See Also:
  Constant Field Values

### TYPE_SERVER_JDBC

    static final java.lang.String TYPE_SERVER_JDBC

See Also:
  Constant Field Values

### TYPE_SERVER_SALESFORCE

    static final java.lang.String TYPE_SERVER_SALESFORCE

See Also:
  Constant Field Values

### TYPE_SERVER_MONGO

    static final java.lang.String TYPE_SERVER_MONGO

See Also:
  Constant Field Values

### TYPE_SERVER_BIGQUERY

    static final java.lang.String TYPE_SERVER_BIGQUERY

See Also:
  Constant Field Values

### TYPE_SERVER_SNOWFLAKE

    static final java.lang.String TYPE_SERVER_SNOWFLAKE

See Also:
  Constant Field Values

### TYPE_SERVER_YELLOWBRICK

    static final java.lang.String TYPE_SERVER_YELLOWBRICK

See Also:
  Constant Field Values

### TYPE_SERVER_SPARK

    static final java.lang.String TYPE_SERVER_SPARK

See Also:
  Constant Field Values

### TYPE_SERVER_PLATFORMPROCESSMANAGER

    static final java.lang.String TYPE_SERVER_PLATFORMPROCESSMANAGER

See Also:
  Constant Field Values

### TYPE_SERVER_SASJOBFLOWSCHEDULER

    static final java.lang.String TYPE_SERVER_SASJOBFLOWSCHEDULER

See Also:
  Constant Field Values

### TYPE_SERVER_LAUNCHER

    static final java.lang.String TYPE_SERVER_LAUNCHER

See Also:
  Constant Field Values

### TYPE_SERVER_SASDISTRIBUTEDINPROCESS

    static final java.lang.String TYPE_SERVER_SASDISTRIBUTEDINPROCESS

See Also:
  Constant Field Values

### TYPE_SERVER_SASINPROCESS

    static final java.lang.String TYPE_SERVER_SASINPROCESS

See Also:
  Constant Field Values

### TYPE_SERVER_OPERATINGSYSTEM

    static final java.lang.String TYPE_SERVER_OPERATINGSYSTEM

See Also:
  Constant Field Values

### TYPE_SERVER_OOZIE

    static final java.lang.String TYPE_SERVER_OOZIE

See Also:
  Constant Field Values

### TYPE_TYPEDEFINITION

    static final java.lang.String TYPE_TYPEDEFINITION

See Also:
  Constant Field Values

### TYPE_SERVER_HADOOP

    static final java.lang.String TYPE_SERVER_HADOOP

See Also:
  Constant Field Values

### TYPE_ESRIMAPSERVER

    static final java.lang.String TYPE_ESRIMAPSERVER

  Deprecated. Use SmartTypes.TYPE_SERVER_ESRIMAP.
  See Also:
    Constant Field Values

### TYPE_HTTPSERVER

    static final java.lang.String TYPE_HTTPSERVER

  Deprecated. Use SmartTypes.TYPE_SERVER_HTTP.
  See Also:
    Constant Field Values

### TYPE_FTPSERVER

    static final java.lang.String TYPE_FTPSERVER

  Deprecated. Use SmartTypes.TYPE_SERVER_FTP.
  See Also:
    Constant Field Values

### TYPE_SERVER_ESRIMAP

    static final java.lang.String TYPE_SERVER_ESRIMAP

See Also:
  Constant Field Values

### TYPE_SERVER_HTTP

    static final java.lang.String TYPE_SERVER_HTTP

See Also:
  Constant Field Values

### TYPE_SERVER_FTP

    static final java.lang.String TYPE_SERVER_FTP

See Also:
  Constant Field Values

### TYPE_SERVER_SAP

    static final java.lang.String TYPE_SERVER_SAP

See Also:
  Constant Field Values

### PREFIX_EMBEDDED

    static final java.lang.String PREFIX_EMBEDDED

See Also:
  Constant Field Values

### SUBTYPE_SEPARATOR

    static final java.lang.String SUBTYPE_SEPARATOR

See Also:
  Constant Field Values

### TYPE_PROXYLIST

    static final java.lang.String TYPE_PROXYLIST

See Also:
  Constant Field Values

### TYPE_PROXY

    static final java.lang.String TYPE_PROXY

See Also:
  Constant Field Values

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.